import { Logger } from '@nestjs/common';
import { RedisClientType } from 'redis';
export declare abstract class StringCachingService {
    protected ttl: number;
    private keyPrefix;
    protected _client: RedisClientType | null;
    protected logger: Logger;
    protected url: string;
    constructor(ttl: number, keyPrefix: string, url?: string);
    protected getClient(): RedisClientType;
    protected getFromCache(key: string, fetchData: (...args: any[]) => Promise<string>, ...args: any[]): Promise<string>;
    protected getKeyPrefix(): string;
    clearCache(key: string): Promise<void>;
}
//# sourceMappingURL=string-caching.service.d.ts.map